From f790cb1902143ac67b66d619e55adca603c392e8 Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jun 12 2018 07:17:37 +0000
Subject: [PATCH 15/15] Minor fixes to doc build


* Removing nonexisting cli.rst in a fresh clone does not break.
* Fix undefined variable name and shadow names in generator script.

Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/doc/Makefile b/doc/Makefile
index 3530802..6b8eef4 100644
--- a/doc/Makefile
+++ b/doc/Makefile
@@ -13,7 +13,7 @@ all: clean-command-docs generate-man-pages-list html man
 
 clean-files:
 	@rm -f "$(SOURCEDIR)/commands/*.rst"
-	@rm $(SOURCEDIR)/cli.rst
+	@rm -f $(SOURCEDIR)/cli.rst
 .PHONY: clean-files
 
 clean-man-pages:
diff --git a/doc/generate_commands_docs.py b/doc/generate_commands_docs.py
index f9e611d..7e0d152 100644
--- a/doc/generate_commands_docs.py
+++ b/doc/generate_commands_docs.py
@@ -65,7 +65,7 @@ def read_template(name, template_dir=None):
     :return: content of the template file.
     :raises TemplateNotFound: if template file is not found.
     """
-    search_dir = template_dir or join(DOC_SOURCE_DIR, templates)
+    search_dir = template_dir or join(DOC_SOURCE_DIR, 'templates')
     filename = join(search_dir, '{0}.tmpl'.format(name))
     if not os.path.exists(filename):
         raise TemplateNotFound()
@@ -219,8 +219,8 @@ def generate_cli_rst(parser, cli_subparsers, template_dir=None):
     """Generate cli.rst for generating HTML document"""
     commands_list = [
         '   commands/{0}'.format(parser_name)
-        for parser_name, parser in cli_subparsers.choices.items()
-        if parser.add_help
+        for parser_name, cmd_parser in cli_subparsers.choices.items()
+        if cmd_parser.add_help
     ]
     synopsis_global_options = generate_app_synopsis_global_options(
         parser, template_dir=template_dir)

